//
//  CocoaExtension.h
//  CocoaExtension
//
//  Created by Jeong YunWon on 12. 10. 28..
//  Copyright (c) 2012 youknowone.org. All rights reserved.
//

/*!
 *  @file
 *  @brief Unified header collection for [Foundation.framework][0] and [AppKit.framework][1] - the main parts of Cocoa - extensions.
 *      [0]: https://developer.apple.com/library/mac/#documentation/Cocoa/Reference/Foundation/ObjC_classic/_index.html
 *      [1]: https://developer.apple.com/library/mac/#documentation/Cocoa/Reference/ApplicationKit/ObjC_classic/_index.html
 *  @details
 *  CocoaExtension is OS X dependent extension collections. This includes FoundationExtension.
 *
 *  For concept,
 *  @see @ref FoundationExtension
 */

#import <FoundationExtension/FoundationExtension.h>

#import <Cocoa/Cocoa.h>

#import <CocoaExtension/FSEventStream.h>
#import <CocoaExtension/NSAttributedString.h>
#import <CocoaExtension/NSTextView.h>
