from NSAttributedStringData import *

implnumber = """
//! Generated by {filename}
- (NSNumber *){name}Number {{ return [self objectForKey:NS{Name}AttributeName]; }}
//! Generated by {filename}
- (void)set{Name}Number:(NSNumber *){name}Number {{ [self setObject:{name}Number forKey:NS{Name}AttributeName]; }}"""

implscalar = """
//! Generated by {filename}
- ({type}){name} {{ return [self.{name}Number {number}Value]; }}
//! Generated by {filename}
- (void)set{Name}:({type}){name} {{ self.{name}Number = [NSNumber numberWith{Number}:{name}]; }}"""

impl = """
//! Generated by {filename}
- ({type}){name} {{ return [self objectForKey:NS{Name}AttributeName]; }}
//! Generated by {filename}
- (void)set{Name}:({type}){name} {{ [self setObject:{name} forKey:NS{Name}AttributeName]; }}"""

for prop in props:
    if prop.has_impl: continue
    if prop.has_number:
        print implnumber.format(
                name=prop.name,
                Name=prop.Name,
                filename=__file__,
            )
        if prop.name == 'ligature': continue
        print implscalar.format(
            attr=prop.proptype,
            type=prop.type,
            typespace='' if prop.is_pointer else ' ',
            name=prop.name,
            filename=__file__,
            Name=prop.Name,
            number=prop.number,
            Number=prop.Number,
            )
    else:
        print impl.format(
            attr=prop.proptype,
            type=prop.type,
            typespace='' if prop.is_pointer else ' ',
            name=prop.name,
            filename=__file__,
            Name=prop.Name,
            number=prop.number,
            Number=prop.Number,
        )

