//
//  UIKitExtension.h
//  FoundationExtension
//
//  Created by Jeong YunWon on 12. 10. 2..
//  Copyright (c) 2012 youknowone.org All rights reserved.
//

/*!
 *  @file
 *  @brief Unified header collection for [Foundation.framework][0] and [UIKit.framework][1] extensions.
 *      [0]: https://developer.apple.com/library/mac/#documentation/Cocoa/Reference/Foundation/ObjC_classic/_index.html
 *      [1]: https://developer.apple.com/library/ios/#documentation/UIKit/Reference/UIKit_Framework/_index.html
 *  @details
 *  UIKitExtension is iOS dependent extension collections. This includes FoundationExtension.
 *
 *  For concept,
 *  @see @ref FoundationExtension
 */

#import <Foundation/Foundation.h>
#import <UIKit/UIKit.h>

#import <FoundationExtension/FoundationExtension.h>

#import <UIKitExtension/NSAttributedString.h>
#import <UIKitExtension/UIAlertView.h>
#import <UIKitExtension/UIApplication.h>
#import <UIKitExtension/UIColor.h>
#import <UIKitExtension/UIDevice.h>
#import <UIKitExtension/UIImage.h>
#import <UIKitExtension/UIControl.h>
#import <UIKitExtension/UITableView.h>
#import <UIKitExtension/UIScrollView.h>
#import <UIKitExtension/UIWebView.h>
#import <UIKitExtension/UIATableView.h>
